- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TTarFileExtractor
TTextWriter

Keyword

# Class TTextWriter

    TComponent
       |
       --TTextWriter

#### Direct Known Sub-classes:

TCallbackResponseWriter

TTextWriter class.

TTextWriter implements a memory-based text writer. Content written by TTextWriter are stored in memory and can be obtained by calling flush().

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | flush () Flushes the content that has been written.
void | write ( string $str) Writes a string.
void | writeLine ( string $str) Writers a string and terminates it with a newline.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## flush

public string flush | ()

Flushes the content that has been written.

Output
string | the content being flushed
Exception

## write

public void write | (string $str )

Writes a string.

Input
string | $str | string to be written
Output
Exception

## writeLine

public void writeLine | (string $str )

Writers a string and terminates it with a newline.

Input
string | $str | content to be written
Output
Exception